/// <reference types="react" />
export declare const StoryRow: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("react").HTMLAttributes<HTMLDivElement> & {
    alignItems?: import("./components/layout/Box/types").AlignItems | undefined;
    display?: import("./components/layout/Box/types").Display | undefined;
    flexDirection?: import("./components/layout/Box/types").FlexDirection | undefined;
    flexWrap?: import("./components/layout/Box/types").FlexWrap | undefined;
    justifyContent?: import("./components/layout/Box/types").JustifyContent | undefined;
    gap?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
    alignSelf?: import("./components/layout/Box/types").AlignSelf | undefined;
    flexBasis?: string | undefined;
    flexGrow?: 0 | 1 | undefined;
    flexShrink?: 0 | 1 | undefined;
    order?: number | undefined;
    background?: import("./components/layout/Box/types").BackgroundLevel | undefined;
    padding?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
} & {
    gap: string;
    alignItems: string;
}, "alignItems" | "gap">;
export declare const StoryColumn: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("react").HTMLAttributes<HTMLDivElement> & {
    alignItems?: import("./components/layout/Box/types").AlignItems | undefined;
    display?: import("./components/layout/Box/types").Display | undefined;
    flexDirection?: import("./components/layout/Box/types").FlexDirection | undefined;
    flexWrap?: import("./components/layout/Box/types").FlexWrap | undefined;
    justifyContent?: import("./components/layout/Box/types").JustifyContent | undefined;
    gap?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
    alignSelf?: import("./components/layout/Box/types").AlignSelf | undefined;
    flexBasis?: string | undefined;
    flexGrow?: 0 | 1 | undefined;
    flexShrink?: 0 | 1 | undefined;
    order?: number | undefined;
    background?: import("./components/layout/Box/types").BackgroundLevel | undefined;
    padding?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
} & {
    flexDirection: string;
    gap: string;
    alignItems: string;
}, "flexDirection" | "alignItems" | "gap">;
export declare const StoryGrid: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("react").HTMLAttributes<HTMLDivElement> & {
    alignItems?: import("./components/layout/Box/types").AlignItems | undefined;
    display?: import("./components/layout/Box/types").Display | undefined;
    flexDirection?: import("./components/layout/Box/types").FlexDirection | undefined;
    flexWrap?: import("./components/layout/Box/types").FlexWrap | undefined;
    justifyContent?: import("./components/layout/Box/types").JustifyContent | undefined;
    gap?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
    alignSelf?: import("./components/layout/Box/types").AlignSelf | undefined;
    flexBasis?: string | undefined;
    flexGrow?: 0 | 1 | undefined;
    flexShrink?: 0 | 1 | undefined;
    order?: number | undefined;
    background?: import("./components/layout/Box/types").BackgroundLevel | undefined;
    padding?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
} & {
    gap: string;
}, "gap">;
export declare const PlaceholderContent: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("react").HTMLAttributes<HTMLDivElement> & {
    alignItems?: import("./components/layout/Box/types").AlignItems | undefined;
    display?: import("./components/layout/Box/types").Display | undefined;
    flexDirection?: import("./components/layout/Box/types").FlexDirection | undefined;
    flexWrap?: import("./components/layout/Box/types").FlexWrap | undefined;
    justifyContent?: import("./components/layout/Box/types").JustifyContent | undefined;
    gap?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
    alignSelf?: import("./components/layout/Box/types").AlignSelf | undefined;
    flexBasis?: string | undefined;
    flexGrow?: 0 | 1 | undefined;
    flexShrink?: 0 | 1 | undefined;
    order?: number | undefined;
    background?: import("./components/layout/Box/types").BackgroundLevel | undefined;
    padding?: "base" | "small" | "xsmall" | "large" | "xlarge" | "xxlarge" | "xxxlarge" | "xxxxlarge" | undefined;
} & {
    flexDirection: string;
    gap: string;
    alignItems: string;
}, "flexDirection" | "alignItems" | "gap">;
export declare const Pre: import("styled-components").StyledComponent<"pre", import("styled-components").DefaultTheme, {}, never>;
export declare const JSONData: ({ data }: {
    data: unknown;
}) => JSX.Element;
